install Bundle::GMOD errors

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

install Bundle::GMOD errors

Karl O. Pinc
Hi,

Running Scientific Linux release 6.4 (Carbon)
(a RHEL clone).  PG 9.1 installed from
yum.postgresql.org per the PG website instructions.

Attached is a transcript of errors I got when
using cpan to "install Bundle::GMOD".

FYI.  I don't know what this means yet, I'm hoping that
this means that Data::Stag will fall back to the
pure perl version and I don't have errors that
I have to do anything about.  Otherwise,
I'd love a clue as to how to go back and
re-answer the question about whether I have
a C compiler and want an optimized Stag.


I had several other issues during the install,
I'm going to report them here before I forget.
I'd like to submit a patch, but am waiting for
feedback on that before starting to send
flurries of patches.

Note that the pg_config program in: /usr/pgsql-9.1/bin/pg_config
The install process prompts for this path.  I expect
because it's not in $PATH.  I strongly suspect
that it's location is an artifact of rpm and that
dpkg (debian) based systems don't have this issue.

The PG headers must be installed (the -devel package)
or DBD::Pg won't install.

I could be wrong about this, it's been a
while, but I believe that the
default PG connection method is via unix socket.
For some reason the install process for DBD:Pg does
not seem to use the Unix socket.  I had to
use the PGHOST env variable.  This went well,
it appears the install plays nicely with the
libpq env vars.

Note that the install instructions do not mention
installing the libxslt-devel package, or whatever
else you need to get the headers is necessary
for the optimized version of Data::Stag
(I think this is why I needed these headers.)

Thanks for the help.

Karl <[hidden email]>
Free Software:  "You don't pay back, you pay forward."
                 -- Robert A. Heinlein

------------------------------------------------------------------------------
Android apps run on BlackBerry 10
Introducing the new BlackBerry 10.2.1 Runtime for Android apps.
Now with support for Jelly Bean, Bluetooth, Mapview and more.
Get your Android app in front of a whole new audience.  Start now.
http://pubads.g.doubleclick.net/gampad/clk?id=124407151&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema

install (25K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: install Bundle::GMOD errors

Karl O. Pinc
On 02/14/2014 09:47:08 PM, Karl O. Pinc wrote:

> Hi,
>
> Running Scientific Linux release 6.4 (Carbon)
> (a RHEL clone).  PG 9.1 installed from
> yum.postgresql.org per the PG website instructions.
>
> Attached is a transcript of errors I got when
> using cpan to "install Bundle::GMOD".
>
> FYI.  I don't know what this means yet, I'm hoping that
> this means that Data::Stag will fall back to the
> pure perl version and I don't have errors that
> I have to do anything about.  Otherwise,
> I'd love a clue as to how to go back and
> re-answer the question about whether I have
> a C compiler and want an optimized Stag.

Apparently DBIx::DBStag did not get installed.




Karl <[hidden email]>
Free Software:  "You don't pay back, you pay forward."
                 -- Robert A. Heinlein

------------------------------------------------------------------------------
Android apps run on BlackBerry 10
Introducing the new BlackBerry 10.2.1 Runtime for Android apps.
Now with support for Jelly Bean, Bluetooth, Mapview and more.
Get your Android app in front of a whole new audience.  Start now.
http://pubads.g.doubleclick.net/gampad/clk?id=124407151&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema
Reply | Threaded
Open this post in threaded view
|

Re: install Bundle::GMOD errors

Scott Cain
Hi Karl,

About Bundle::GMOD: I haven't looked it in literally years.  It wouldn't surprise me if it's installing things you don't need.  Anyway, we addressed DBIx::DBStag in another thread.

Scott



On Mon, Feb 17, 2014 at 7:34 AM, Karl O. Pinc <[hidden email]> wrote:
On 02/14/2014 09:47:08 PM, Karl O. Pinc wrote:
> Hi,
>
> Running Scientific Linux release 6.4 (Carbon)
> (a RHEL clone).  PG 9.1 installed from
> yum.postgresql.org per the PG website instructions.
>
> Attached is a transcript of errors I got when
> using cpan to "install Bundle::GMOD".
>
> FYI.  I don't know what this means yet, I'm hoping that
> this means that Data::Stag will fall back to the
> pure perl version and I don't have errors that
> I have to do anything about.  Otherwise,
> I'd love a clue as to how to go back and
> re-answer the question about whether I have
> a C compiler and want an optimized Stag.

Apparently DBIx::DBStag did not get installed.




Karl <[hidden email]>
Free Software:  "You don't pay back, you pay forward."
                 -- Robert A. Heinlein

------------------------------------------------------------------------------
Android apps run on BlackBerry 10
Introducing the new BlackBerry 10.2.1 Runtime for Android apps.
Now with support for Jelly Bean, Bluetooth, Mapview and more.
Get your Android app in front of a whole new audience.  Start now.
http://pubads.g.doubleclick.net/gampad/clk?id=124407151&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema



--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Managing the Performance of Cloud-Based Applications
Take advantage of what the Cloud has to offer - Avoid Common Pitfalls.
Read the Whitepaper.
http://pubads.g.doubleclick.net/gampad/clk?id=121054471&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema